# Retrieve a rating detail Retrieves a single rating detail by ID. Endpoint: GET /object-query/rating-details/{key} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. ## Path parameters: - `key` (string, required) ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. id.ASC) or descending (e.g. id.DESC). Supported sortable fields: - id - invoiceitemid - creditmemoitemid - `expand[]` (array) Allows you to expand responses by including related object information in a single call. This operation does not have expandable fields. - `filter[]` (array) A case-insensitive filter on the list. Supported filterable fields: - id - invoiceitemid - creditmemoitemid You can also filter on custom fields using the format customField__c. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `id` (string) The unique identifier of the Rating Detail. - `invoiceItemId` (string) The unique identifier of the Invoice Item this Rating Detail is associated to. - `creditMemoItemId` (string,null) The unique identifier of the Credit Memo Item this Rating Detail is associated to. - `chargeType` (string) The type of charge of the associated Invoice Item. - `chargeModel` (string) The charge model of the associated Invoice Item. - `formula` (string) Text with mathematical formula used to rate the amount. - `calculation` (string) Details of the rating done by replacing values in the formula. - `calculatedAmount` (number) The output result of the rating calculation. - `currency` (string) The currency code of the calculated amount. - `unitOfMeasure` (string) Unit of measure if it's a usage charge. - `quantity` (number,null) If usage charge, quantity of usages. - `billedQuantity` (number,null) For on-demand usage charges, previously billed quantity in the same billing period. - `billedAmount` (number,null) For on-demand usage charges, previously billed amount in the same billing period. - `isProration` (boolean) True if the billing period is a prorated period. - `isCredit` (boolean) True if this is a credit. - `listPriceBase` (string) List price base from the rate plan charge. - `billingCycleDay` (integer) Billing cycle day from the rate plan charge. - `billingCycleType` (string) Billing cycle type from the rate plan charge. - `billingPeriod` (string) Billing period from the rate plan charge. - `specificBillingPeriod` (string) Specific billing period from the rate plan charge. - `validityPeriodType` (string) Validity period type for prepaid or commitment charges. - `billingPeriodAlignment` (string) Billing period alignment from the rate plan charge. - `alignmentStartDate` (string) Start date used for billing alignment. - `amountWithoutTax` (number) The amount from the Invoice Item or Credit Memo Item. - `isInclusiveTaxNoRounding` (boolean) True if tax mode option is set to tax inclusive. - `isProrationPartialPeriod` (boolean) True if billing rule "Prorate recurring charges for partial period?" is Yes. - `isProrateMonthlyCharges` (boolean) True if billing rule "Bill usage/recurring charges for partial month?" is Yes. - `isProrateWeeklyCharges` (boolean) True if billing rule "Bill usage/recurring charges for partial week?" is Yes. - `prorationUnitRule` (string) Value of billing rule for prorating units. - `daysInMonthRule` (string) Value of billing rule for days in a month. - `recurringCreditProrationOptionRule` (string) Billing rule for recurring credit proration option. - `isCreditWithOriginalCE` (boolean) True if permission for credit with original invoice item amount is enabled. - `isProrateDiscountCredit` (boolean) True if prorated discount credit rule is enabled. - `stackedDiscountClassApplyRule` (string) Billing rule for applying stacked discount class. - `recurringPeriodStart` (string) Start date of the current service period. - `recurringPeriodEnd` (string) End date of the current service period. - `chargeStartDate` (string) Charge start date. - `chargeEndDate` (string) Charge end date. - `subStartDate` (string) Subscription start date. - `subEndDate` (string) Subscription end date. - `termStartDate` (string) Term start date. - `termEndDate` (string) Term end date. - `creditOption` (string) Credit option from the rate plan charge. - `fundingPrice` (number) Total price of current validity period fund. - `totalBalance` (number) Total fund or discount schedule balance. - `remainingBalance` (number) Remaining fund or discount schedule balance. - `originalBillingPeriodStart` (string) Start date of original billing period if credit. - `originalBillingPeriodEnd` (string) End date of original billing period if credit. - `originalAmount` (number) Original billed amount if credit. - `basePrice` (number) Base price or fixed amount. - `discountClass` (string) Discount class as in rate plan charge. - `discountClassOrder` (integer) Order number of discount class. - `discountLevel` (string) Discount level from rate plan charge. - `discountApplySequence` (integer) Sequence in which the discount is applied. - `discountSchedulePeriodStart` (string) Discount schedule start date. - `discountSchedulePeriodEnd` (string) Discount schedule end date. - `regularChargeAmount` (number) Amount of the charge that the discount is applied to. - `regularChargeAmountLeft` (number) Remaining amount of charge before this discount is applied. - `originalRegularChargeAmount` (number) Original amount of charge before credit. - `discountBalanceFormula` (string) Formula used to calculate discount total balance. ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.